mlbench.friedman2 {mlbench} | R Documentation

## Benchmark Problem Friedman 2

### Description

The regression problem Friedman 2 as described in Friedman (1991) and Breiman (1996). Inputs are 4 independent variables uniformly distrtibuted over the ranges

0 <= x1 <= 100

40 π <= x2 <= 560 π

0 <= x3 <= 1

1 <= x4 <= 11

The outputs are created according to the formula

y = (x1^2 + (x2 x3 - (1/(x2 x4)))^2)^{0.5} + e

where e is N(0,sd).

### Usage

    mlbench.friedman2(n, sd=125)

### Arguments

`n` | number of patterns to create
`sd` | Standard deviation of noise. The default value of 125 gives a signal to noise ratio (i.e., the ratio of the standard deviations) of 3:1. Thus, the variance of the function itself (without noise) accounts for 90% of the total variance.

### Value

Returns a list with components

`x` | input values (independent variables)
`y` | output values (dependent variable)

### References

Breiman, Leo (1996) Bagging predictors. Machine Learning 24, pages 123-140.

Friedman, Jerome H. (1991) Multivariate adaptive regression splines. The Annals of Statistics 19 (1), pages 1-67.

[Package mlbench version 1.1-0 Index]